Maps SDK for iOS のバージョン

プラットフォームを選択: Android iOS JavaScript

Google Maps Platform チームは定期的に SDK を更新し、新機能の追加、バグの修正、パフォーマンスの改善を行っています。このページでは、モバイル SDK への依存関係を管理する方法について説明します。

  • ミッション クリティカルなアプリの場合、使用しているメジャー バージョンの最新のドットリリース(X.*)にリンクし、1 年ごとに新しいメジャー バージョンにアップグレードします。

    年間を通してアプリケーションの新しいバージョンをリリースする際、Maps SDK for iOS の新しいドット バージョンの使用を開始できます。新しいドット バージョンには下位互換性があるため、これによってアプリケーションのアップデートが必要となることはありません。

    メリット:

    • Maps SDK for iOS に問題が見つかった場合、モバイル サポート ポリシーに従い、メジャー バージョンの最初のリリースから 12 か月間は下位互換性のある方法で修正が提供されます。修正のメリットを得るために、incompatible互換性のない SDK バージョンへのアップグレードを急ぐ必要はありません。
    • 最新の SDK バージョンをベースにアプリを制作すれば、最新の改良点や機能の導入も容易です。
    • SDK のアップデートに合わせてアプリケーションの調整、書き換え、テスティングが必要になることがありますが、SDK の最新メジャー バージョンの年次差分アップデートに対応するだけであれば、複数のメジャー バージョン リリースで導入された下位互換性のない変更に対応するよりも軽い作業で済むことが予想されます。

  • 重要性の低いアプリの場合、任意の修正済みバージョンにリンクします。その修正済みバージョンのサポート終了の案内を受けたら、12 か月以内にアプリのコードをアップデートしてユーザーに提供開始する必要があります。

    メリット:

    • メンテナンス作業の頻度を下げられます。
    • アプリの新バージョンで、搭載 OS の古いモバイル デバイスへの対応を維持できる期間が延びます(新しい SDK バージョンにアップグレードする必要が生じるまで)。

モニタリング対象メールアドレスを持つプロジェクト オーナー様には、各プロジェクトに影響する変更を通知で事前にお知らせしています。メジャー アップデート、サービス終了、その他の変更に関する最新情報を把握する方法

インストール

Swift Package Manager

Maps SDK for iOS は Swift Package Manager からインストールできます。この SDK を追加するには、既存の Maps SDK for iOS の依存関係がすべて削除されていることをご確認ください。

新規または既存のプロジェクトに SDK を追加する手順は次のとおりです。

  1. Xcode の project または workspace を開き、[File] > [Add Package Dependencies] に移動します。
  2. URL として「https://github.com/googlemaps/ios-maps-sdk」と入力し、Enter キーを押してパッケージを取り込み、[Add Package] をクリックします。
  3. 特定の version をインストールするには、[依存関係ルール] フィールドをバージョン ベースのオプションのいずれかに設定します。新しいプロジェクトの場合は、最新バージョンを指定し、[正確なバージョン] オプションを使用することをおすすめします。完了したら、[パッケージを追加] をクリックします。
  4. [Choose Package Products] ウィンドウで、GoogleMapsGoogleMapsBaseGoogleMapsCore が、指定した main ターゲットに追加されることを確認します。完了したら、[パッケージを追加] をクリックします。
  5. インストールを確認するには、ターゲットの General ペインに移動します。[Frameworks, Libraries, and Embedded Content] 内に、インストールされているパッケージが表示されます。 [Project Navigator] の [Package Dependencies] セクションで、パッケージとそのバージョンを確認することもできます。

既存のプロジェクトの package を更新する手順は次のとおりです。

  1. Xcode で、[File] > [Packages] > [Update To Latest Package Versions] に移動します。
  2. インストールを確認するには、Project Navigator の [Package Dependencies] セクションに移動して、パッケージとそのバージョンを確認します。

CocoaPods を使って追加された既存の Maps SDK for iOS の依存関係を削除する手順は次のとおりです。

  1. Xcode ワークスペースを閉じます。ターミナルを開いて、次のコマンドを実行します。
    sudo gem install cocoapods-deintegrate cocoapods-clean 
    pod deintegrate 
    pod cache clean --all
  2. CocoaPods 以外に使用していない場合は、PodfilePodfile.resolved、Xcode の workspace を削除します。

CocoaPods

オプティミスティック演算子(~>)を使用する代わりに、必ずバージョン番号を指定してください。ビルドが予測不可能で繰り返し不能になる可能性があるためです。Maps SDK for iOS はセマンティック バージョニングに準拠しており、新しいメジャー バージョン リリースには互換性を破る変更が含まれています。

Podfile 構文を使用した Podfile 依存関係の例:

source 'https://github.com/CocoaPods/Specs.git'

platform :ios, '14.0'

target 'YOUR_APPLICATION_TARGET_NAME_HERE' do
  pod 'GoogleMaps', '8.4.0'
end

メンテナンスとアップグレード

最新の改善を使用してビルドするには、定期的に新しいバージョンを確認し、バージョン仕様を更新します。新しいメジャー バージョンに更新する場合は、下位互換性のない変更とコードの更新方法について、リリースノートで確認してください。

Swift Package Manager

既存のプロジェクトの package を更新する手順は次のとおりです。

  1. Xcode で、[File] > [Packages] > [Update To Latest Package Versions] に移動します。
  2. インストールを確認するには、Project Navigator の [Package Dependencies] セクションに移動して、パッケージとそのバージョンを確認します。

Cocoapods

  1. ターミナルを開いて、Podfile を含むディレクトリに移動します。

    cd <path-to-project>
  2. pod outdated を実行して、Maps SDK for iOS の新しいバージョンが利用可能かどうかを確認します。
  3. 新しいバージョンの SDK が見つかった場合は、この新しいバージョンで Podfile を更新します。 Podfile で特定のバージョンを設定する方法については、Pod のバージョンの指定をご覧ください。
  4. pod update を実行します。
  5. アップグレードの結果として、必要な変更を行います。各リリースの変更点の一覧については、リリースノートをご覧ください。
  6. [Product] > [Clean][Product] > [Build] の順に選択して、プロジェクトをクリーンアップして再ビルドします。

手動

SDK のインストールで最新のソースファイルへのリンクを取得します。

Google Cloud プロジェクト オーナーは、新しいバージョンをポーリングするだけでなく、プロジェクトに影響する可能性がある下位互換性のない変更に関するメールを受信します。下位互換性のない変更について事前に通知を受け取るには、モニタリング対象メールアドレスを使用してプロジェクトごとにオーナーロールを割り当てます。